Summary: Multitech IntelligentSerialInternal (ISI) Support Tools
Name: isicom
Version: 3.05
Release: 6
License: GPL (not Firmware)
Group: Applications/System
URL: http://www.multitech.com/
Source: L305_22X_24X.tar.bz2
Source1: isicom.init
Patch0: isicom-3.05-cleaned-up-targets.patch
ExcludeArch: s390 s390x

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The isicom package contains the binary images and loader for
Multi-Tech Systems Intelligent Serial Interface(TM) (ISI) data
files. Multi-Tech ISI multiport serial cards provide additional serial
ports for remote access servers, multi-user hosts and PCs. The isicom
package contains the files needed to use an ISI card with a Linux
system.

Install isicom if you're using a Multi-Tech ISI serial card on your
Red Hat Linux system.

%prep
%setup -n isicom_3.05
%patch0 -p1 -b .mkefile-cleanup

%build
make clean
make firmld

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{share/isicom,sbin}
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -s -m 755 firmld $RPM_BUILD_ROOT/usr/sbin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/isicom
install -m 644 *.bin $RPM_BUILD_ROOT/usr/share/isicom

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 755)
/etc/rc.d/init.d/isicom
/usr/sbin/firmld
%dir /usr/share/isicom
/usr/share/isicom/*.bin

%changelog
* Mon Aug  5 2002 Mike A. Harris <mharris@redhat.com> 3.05-6
- Changed defattr(644, root, root, 755) to defattr(-, root, root, 755) because
  it was just ohhh so wrong.  (#70762)

* Tue Jul  9 2002 Tim Powers <timp@redhat.com>
- rebuilt in new environment

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Dec 21 2001 Mike A. Harris <mharris@redhat.com> 3.05-3
- Bump release and rebuild in rawhide. (-1 was built for 7.2)

* Fri Dec 21 2001 Mike A. Harris <mharris@redhat.com> 3.05-1
- Updated isicom to version 3.05
- Fixed up Makefile patch
- Added initscript for isicom from bug (#54343)

* Tue Jul 10 2001 Tim Powers <timp@redhat.com>
- fixed non-standard dir perms on /usr/share/isicom

* Mon Jul  9 2001 Mike A. Harris <mharris@redhat.com> 1.0-7
- s/Copyright/License/ and fix buildroot dir
- Made package own directory: /usr/share/isicom

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- rebuild for next release

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binary

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- sanitized the spec file
